For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Status
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
  • API Reference
      • GETList agent tools
      • POSTCreate agent tool
      • GETGet agent tool
      • DELDelete agent tool
      • PATCHUpdate agent tool
Status
LogoLogo
API ReferenceAgent Tools

Update agent tool

PATCH
https://app.resemble.ai/api/v2/agents/:agent_uuid/tools/:tool_uuid
PATCH
/api/v2/agents/:agent_uuid/tools/:tool_uuid
$curl -X PATCH https://app.resemble.ai/api/v2/agents/agent_uuid/tools/tool_uuid \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Updated
1{
2 "success": true,
3 "item": {},
4 "message": "string"
5}
Update an existing tool
Was this page helpful?
Previous

List agent webhooks

Next
Built with

Authentication

AuthorizationBearer

API token from https://app.resemble.ai/account/api

Path parameters

agent_uuidstringRequiredformat: "uuid"
tool_uuidstringRequiredformat: "uuid"

Request

This endpoint expects an object.
namestringOptional
descriptionstringOptional
tool_configobjectOptional

Response

Tool updated
successboolean
itemobject
messagestring